package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProductBean;
import com.wd.workoffice.bean.mesBean.AnalysisBean;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class ReportAnalysisBadAdapter extends BaseQuickAdapter<AnalysisBean.ListBean, BaseViewHolder> {

    public ReportAnalysisBadAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, AnalysisBean.ListBean item) {
        helper.setText(R.id.tv_bad,item.getSeverity()+"");
        helper.setText(R.id.tv_name,item.getDefectName());
        helper.setText(R.id.tv_clazz, WorkUtils.getClazzType(item.getProductClassType()));
    }
}

